Author: Gregor Riepl <onitake@gmail.com>
Description: Multiarch build fix
Bug: https://sourceforge.net/p/polyclipping/bugs/188/
Index: libpolyclipping/cpp/CMakeLists.txt
===================================================================
--- libpolyclipping.orig/cpp/CMakeLists.txt	2018-12-22 12:33:18.971286552 +0100
+++ libpolyclipping/cpp/CMakeLists.txt	2018-12-22 12:33:18.967286596 +0100
@@ -1,11 +1,9 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
 PROJECT(polyclipping)
 
+INCLUDE(GNUInstallDirs)
+
 SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Release type")
-# The header name clipper.hpp is too generic, so install in a subdirectory
-SET(CMAKE_INSTALL_INCDIR "${CMAKE_INSTALL_PREFIX}/include/polyclipping")
-SET(CMAKE_INSTALL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
-SET(CMAKE_INSTALL_PKGCONFIGDIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig")
 SET(PCFILE "${CMAKE_CURRENT_BINARY_DIR}/polyclipping.pc")
 
 SET(BUILD_SHARED_LIBS ON CACHE BOOL
@@ -14,8 +12,8 @@
 
 CONFIGURE_FILE (polyclipping.pc.cmakein "${PCFILE}" @ONLY)
 
-INSTALL (FILES clipper.hpp DESTINATION "${CMAKE_INSTALL_INCDIR}")
+INSTALL (FILES clipper.hpp DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/polyclipping")
 INSTALL (TARGETS polyclipping LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-INSTALL (FILES "${PCFILE}" DESTINATION "${CMAKE_INSTALL_PKGCONFIGDIR}")
+INSTALL (FILES "${PCFILE}" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
 SET_TARGET_PROPERTIES(polyclipping PROPERTIES VERSION 22.0.0 SOVERSION 22 )
Index: libpolyclipping/cpp/polyclipping.pc.cmakein
===================================================================
--- libpolyclipping.orig/cpp/polyclipping.pc.cmakein	2018-12-22 12:33:18.971286552 +0100
+++ libpolyclipping/cpp/polyclipping.pc.cmakein	2018-12-22 12:38:02.814268557 +0100
@@ -1,8 +1,8 @@
 prefix=@CMAKE_INSTALL_PREFIX@
-exec_prefix=@CMAKE_INSTALL_PREFIX@
-libdir=@CMAKE_INSTALL_LIBDIR@
-sharedlibdir=@CMAKE_INSTALL_LIBDIR@
-includedir=@CMAKE_INSTALL_INCDIR@
+exec_prefix=${prefix}
+libdir=${prefix}/@CMAKE_INSTALL_LIBDIR@
+sharedlibdir=${prefix}/@CMAKE_INSTALL_LIBDIR@
+includedir=${prefix}/@CMAKE_INSTALL_INCLUDEDIR@/polyclipping
 
 Name: polyclipping
 Description: polygon clipping library
